/*
 * METRIC --- Mode expansion modeling in integrated optics / photonics
 * http://metric.computational-photonics.eu/ 
 */

/*
 * metric.h
 * "includes" for a METRIC based main.c   
 */

// file input / output functions 
#include"inout.h"
// handling complex numbers 
#include"complex.h"
// basic vectors, matrices 
#include"matrix.h"
// cylindrical functions 
#include"cylfunc.h"
// waveguide definition 
#include"structure.h"
// general electrodynamic relations concerning 2D waveguide modes  
#include"gengwed.h"
// integrals of pairs of harmonic functions, zero counting, maxima
#include "integral.h"
// general mode definitions 
#include"slamode.h"
// Arrays of SlabModes
#include"slamarr.h"
// visualization via MATLAB, helper routines 
#include"matlvis.h"
// SLAMS mode solver 
#include"slams.h"
// plane wave reflection from a multilayer stack 
#include"slaref.h"
// sequences of SlabModeArrays, bidirectional eigenmode expansion
#include"bepfld.h"
// quadridirectional eigenmode expansion  
#include"quepfld.h"
// bundles of vQUEP solutions 
#include"bundle.h"
// variational 2D -> 1D effective index approximation 
#include"eim.h"
// the VEIMS mode solver for rectangular channel waveguides 
#include"veims.h"
// guided Floquet-Bloch modes of periodic wavguides in 2-D 
#include"fbmode.h"
// whispering-gallery modes of circular cavities in 2-D 
#include"wgm.h"
// 2-D modes of curved slab waveguides 
#include"bend.h"
// modes of cylindrical step-index fibers 
#include"fim.h"
// coupled mode theory 
#include"cmt.h"
// modes of complex waveguides 
#include"cplxwg.h"

